Informations de la liste des réservations
curl --request GET \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"allUsersBusyTimes": [
{
"busyTimes": [
{
"end": 123,
"start": 123
}
],
"isOffline": true,
"meetingsUser": {
"calendarProvider": "EXCHANGE",
"id": "<string>",
"isSalesStarter": true,
"userId": "<string>",
"userProfile": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"lastName": "<string>"
}
}
}
],
"customParams": {
"availability": {},
"durations": [
123
],
"formFields": [
{
"fieldType": "<string>",
"isCustom": true,
"isRequired": true,
"label": "<string>",
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"type": "<string>"
}
],
"legalConsentEnabled": true,
"meetingBufferTime": 123,
"ownerPrioritized": true,
"startTimeIncrementMinutes": "FIFTEEN",
"weeksToAdvertise": 123,
"customAvailabilityEndDate": 123,
"customAvailabilityStartDate": 123,
"displayInfo": {
"avatar": "<string>",
"companyAvatar": "<string>",
"headline": "<string>",
"publicDisplayAvatarOption": "COMPANY_LOGO"
},
"guestSettings": {
"canAddGuests": true,
"maxGuestCount": 123
},
"language": "<string>",
"legalConsentOptions": {
"communicationConsentCheckboxes": [
{
"communicationTypeId": "<string>",
"label": "<string>",
"required": true
}
],
"communicationConsentText": "<string>",
"isLegitimateInterest": true,
"legitimateInterestSubscriptionTypes": [
123
],
"privacyPolicyText": "<string>",
"processingConsentCheckboxLabel": "<string>",
"processingConsentFooterText": "<string>",
"processingConsentText": "<string>",
"processingConsentType": "IMPLICIT",
"legitimateInterestLegalBasis": "CONSENT_WITH_NOTICE"
},
"locale": "<string>",
"location": "<string>",
"redirectUrl": "<string>",
"welcomeScreenInfo": {
"description": "<string>",
"logoUrl": "<string>",
"showWelcomeScreen": true,
"title": "<string>",
"useCompanyLogo": true
}
},
"isOffline": true,
"linkId": "<string>",
"linkType": "GROUP_CALENDAR",
"brandingMetadata": {
"logoAltText": "<string>",
"showMarketingAd": true,
"showSalesAd": true,
"accent2Color": "<string>",
"accentColor": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"companyAvatar": "<string>",
"companyCity": "<string>",
"companyCountry": "<string>",
"companyDomain": "<string>",
"companyName": "<string>",
"companyState": "<string>",
"companyZip": "<string>",
"logoHeight": 123,
"logoUrl": "<string>",
"logoWidth": 123,
"primaryColor": "<string>",
"secondaryColor": "<string>"
},
"linkAvailability": {
"hasMore": true,
"linkAvailabilityByDuration": {}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Rendez-vous
Retrieve meeting link slug
deprecated
Obtenez des détails sur les informations initiales nécessaires à un planificateur de réunions.
GET
/
scheduler
/
v3
/
meetings
/
meeting-links
/
book
/
{slug}
Informations de la liste des réservations
curl --request GET \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"allUsersBusyTimes": [
{
"busyTimes": [
{
"end": 123,
"start": 123
}
],
"isOffline": true,
"meetingsUser": {
"calendarProvider": "EXCHANGE",
"id": "<string>",
"isSalesStarter": true,
"userId": "<string>",
"userProfile": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"lastName": "<string>"
}
}
}
],
"customParams": {
"availability": {},
"durations": [
123
],
"formFields": [
{
"fieldType": "<string>",
"isCustom": true,
"isRequired": true,
"label": "<string>",
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"type": "<string>"
}
],
"legalConsentEnabled": true,
"meetingBufferTime": 123,
"ownerPrioritized": true,
"startTimeIncrementMinutes": "FIFTEEN",
"weeksToAdvertise": 123,
"customAvailabilityEndDate": 123,
"customAvailabilityStartDate": 123,
"displayInfo": {
"avatar": "<string>",
"companyAvatar": "<string>",
"headline": "<string>",
"publicDisplayAvatarOption": "COMPANY_LOGO"
},
"guestSettings": {
"canAddGuests": true,
"maxGuestCount": 123
},
"language": "<string>",
"legalConsentOptions": {
"communicationConsentCheckboxes": [
{
"communicationTypeId": "<string>",
"label": "<string>",
"required": true
}
],
"communicationConsentText": "<string>",
"isLegitimateInterest": true,
"legitimateInterestSubscriptionTypes": [
123
],
"privacyPolicyText": "<string>",
"processingConsentCheckboxLabel": "<string>",
"processingConsentFooterText": "<string>",
"processingConsentText": "<string>",
"processingConsentType": "IMPLICIT",
"legitimateInterestLegalBasis": "CONSENT_WITH_NOTICE"
},
"locale": "<string>",
"location": "<string>",
"redirectUrl": "<string>",
"welcomeScreenInfo": {
"description": "<string>",
"logoUrl": "<string>",
"showWelcomeScreen": true,
"title": "<string>",
"useCompanyLogo": true
}
},
"isOffline": true,
"linkId": "<string>",
"linkType": "GROUP_CALENDAR",
"brandingMetadata": {
"logoAltText": "<string>",
"showMarketingAd": true,
"showSalesAd": true,
"accent2Color": "<string>",
"accentColor": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"companyAvatar": "<string>",
"companyCity": "<string>",
"companyCountry": "<string>",
"companyDomain": "<string>",
"companyName": "<string>",
"companyState": "<string>",
"companyZip": "<string>",
"logoHeight": 123,
"logoUrl": "<string>",
"logoWidth": 123,
"primaryColor": "<string>",
"secondaryColor": "<string>"
},
"linkAvailability": {
"hasMore": true,
"linkAvailabilityByDuration": {}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Paramètres de requête
Réponse
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Si la réunion a été réservée hors ligne, ce qui signifie qu'aucun événement associé n'a été créé dans le calendrier.
Identifiant unique du lien de prise de rendez-vous.
Type du lien de prise de rendez-vous. Les valeurs acceptées sont : GROUP_CALENDAR, PERSONAL_LINK, ROUND_ROBIN_CALENDAR.
Options disponibles:
GROUP_CALENDAR, PERSONAL_LINK, ROUND_ROBIN_CALENDAR Show child attributes
Show child attributes
Show child attributes
Show child attributes
Dernière modification le 1 avril 2026